Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.dm
Class SAXEventReceiver

    java.lang.Object
      |
      +--net.xfra.qizxopen.dm.XMLEventReceiverBase
            |
            +--net.xfra.qizxopen.dm.SAXEventReceiver

All Implemented Interfaces:
  org.xml.sax.Attributes, XMLEventReceiver

public class SAXEventReceiver
extends XMLEventReceiverBase
implements org.xml.sax.Attributes

Adapter of tree events to SAX2 handlers.

Field Summary
`boolean` | `nsPrefixes`

Constructor Summary
`SAXEventReceiver()`

Method Summary
`void` | `atom(java.lang.String value)` Emits the text of an atom.
`void` | `comment(java.lang.String value)` Emits a comment.
`void` | `endDocument()` Ends a document.
`void` | `endElement(QName name)` Ends an element.
`void` | `flushElement(boolean empty)`
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`int` | `getIndex(QName qName)`
`int` | `getIndex(java.lang.String qName)`
`int` | `getIndex(java.lang.String uri, java.lang.String localName)`
`int` | `getLength()`
`org.xml.sax.ext.LexicalHandler` | `getLexicalHandler()`
`java.lang.String` | `getLocalName(int index)`
`java.lang.String` | `getQName(int index)`
`java.lang.String` | `getType(int index)`
`java.lang.String` | `getType(java.lang.String qName)`
`java.lang.String` | `getType(java.lang.String uri, java.lang.String localName)`
`java.lang.String` | `getURI(int index)`
`java.lang.String` | `getValue(int index)`
`java.lang.String` | `getValue(java.lang.String qName)`
`java.lang.String` | `getValue(java.lang.String uri, java.lang.String localName)`
`void` | `namespace(java.lang.String prefix, java.lang.String uri)` Must follow startElement and precede any child.
`void` | `pi(java.lang.String target, java.lang.String value)` Emits a processing-instruction.
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` | `setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)`
`void` | `startDocument()` Starts a document.
`void` | `text(java.lang.String value)` Emits a text chunk.

Methods inherited from class net.xfra.qizxopen.dm.XMLEventReceiverBase
`attribute, definePrefixHints, maxVolumeReached, reset, resolvePrefix, setMaxVolume, setTrace, startElement, terminate, traverse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nsPrefixes

    public boolean nsPrefixes

Constructor Detail

### SAXEventReceiver

    public SAXEventReceiver()

Method Detail

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

### getLexicalHandler

    public org.xml.sax.ext.LexicalHandler getLexicalHandler()

### setLexicalHandler

    public void setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

### namespace

    public void namespace(java.lang.String prefix,
                          java.lang.String uri)
                   throws DataModelException

  Description copied from interface: `XMLEventReceiver`
  Must follow startElement and precede any child. May be interleaved with attribute().

  Specified by:
    `namespace` in interface `XMLEventReceiver`
  Overrides:
    `namespace` in class `XMLEventReceiverBase`
    `DataModelException`

### startDocument

    public void startDocument()
                       throws DataModelException

  Description copied from interface: `XMLEventReceiver`
  Starts a document.

  It is not necessarily called, if only a fragment is generated.

  Specified by:
    `startDocument` in interface `XMLEventReceiver`
  Overrides:
    `startDocument` in class `XMLEventReceiverBase`
    `DataModelException`

### endDocument

    public void endDocument()
                     throws DataModelException

  Description copied from interface: `XMLEventReceiver`
  Ends a document. Must be balanced by a corresponding startDocument().

  Specified by:
    `endDocument` in interface `XMLEventReceiver`
  Overrides:
    `endDocument` in class `XMLEventReceiverBase`
    `DataModelException`

### flushElement

    public void flushElement(boolean empty)
                      throws DataModelException

  Overrides:
    `flushElement` in class `XMLEventReceiverBase`
    `DataModelException`

### endElement

    public void endElement(QName name)
                    throws DataModelException

  Description copied from interface: `XMLEventReceiver`
  Ends an element. Removes NS mappings.

  Specified by:
    `endElement` in interface `XMLEventReceiver`
  Overrides:
    `endElement` in class `XMLEventReceiverBase`
    `DataModelException`

### text

    public void text(java.lang.String value)
              throws DataModelException

  Description copied from interface: `XMLEventReceiver`
  Emits a text chunk. No space before or after.

  Specified by:
    `text` in interface `XMLEventReceiver`
    `DataModelException`

### atom

    public void atom(java.lang.String value)
              throws DataModelException

  Description copied from interface: `XMLEventReceiver`
  Emits the text of an atom. The difference with text() is that a space in requested between two atoms.

  Specified by:
    `atom` in interface `XMLEventReceiver`
    `DataModelException`

### pi

    public void pi(java.lang.String target,
                   java.lang.String value)
            throws DataModelException

  Description copied from interface: `XMLEventReceiver`
  Emits a processing-instruction.

  Specified by:
    `pi` in interface `XMLEventReceiver`
    `DataModelException`

### comment

    public void comment(java.lang.String value)
                 throws DataModelException

  Description copied from interface: `XMLEventReceiver`
  Emits a comment.

  Specified by:
    `comment` in interface `XMLEventReceiver`
    `DataModelException`

### getIndex

    public int getIndex(QName qName)

### getIndex

    public int getIndex(java.lang.String qName)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String uri,
                        java.lang.String localName)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.xml.sax.Attributes`

### getLocalName

    public java.lang.String getLocalName(int index)

  Specified by:
    `getLocalName` in interface `org.xml.sax.Attributes`

### getURI

    public java.lang.String getURI(int index)

  Specified by:
    `getURI` in interface `org.xml.sax.Attributes`

### getQName

    public java.lang.String getQName(int index)

  Specified by:
    `getQName` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(int index)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(java.lang.String qName)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(java.lang.String uri,
                                    java.lang.String localName)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(int index)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(java.lang.String qName)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(java.lang.String uri,
                                     java.lang.String localName)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD